Bug 666350 - Ctrl-Z doesn't work in gnome-terminal
Ctrl-Z doesn't work in gnome-terminal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-30 05:07 EST by Peter Verthez
Modified: 2012-08-16 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Verthez 2010-12-30 05:07:09 EST
Description of problem:

Ctrl-Z in a terminal is supposed to suspend the running foreground program, but this is not happening anymore in gnome-terminal in Fedora 14.  It still works in xterm.  


Version-Release number of selected component (if applicable):
gnome-terminal-2.32.0-1.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. Open gnome-terminal
2. Start a program (e.g. gedit) in the foreground
3. Go back to the terminal and press Ctrl-Z.
  
Actual results:
Nothing happens

Expected results:
gedit should be suspended and a prompt should return (on which you can type 'bg' to move the program to background)

Additional info:
Comment 1 Peter Verthez 2010-12-30 05:10:15 EST
Extra info: this is after an upgrade from Fedora 12 to Fedora 14, which was a reinstall, but with preservation of my home directory.
Comment 2 Andre Robatino 2010-12-31 02:05:14 EST
It works for me on a cleanly installed and fully updated F14 x86_64, so it must have something to do with the upgrade.
Comment 3 Peter Verthez 2010-12-31 03:52:51 EST
More info (discovered due to the bug that I found here: https://bugs.launchpad.net/gnome-terminal/+bug/204202).

When I press Ctrl-W, it suspends the terminal.  I had 2 keyboard layouts defined: "Belgium" and "United Kingdom" (in that order, due to Bug 666247), with "United Kingdom" active because I have a QWERTY keyboard.   Normal typing in the gnome-terminal was taking the correct layout, but Ctrl keys apparently took the other layout, interpreting Ctrl-W as Ctrl-Z.   When I remove the "Belgium" layout, the problem disappears.

So this is an instance of the above mentioned launchpad bug.
Comment 4 Peter Verthez 2010-12-31 04:12:35 EST
Note that that launchpad bug refers to the following upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=539796

which is marked duplicate of:
https://bugzilla.gnome.org/show_bug.cgi?id=162726

That bug has a long discussion thread.
Comment 5 Peter Verthez 2010-12-31 04:21:28 EST
The proposed solution there (setting environment variable GTK_IM_SEPARATE_SHORTCUTS) does not seem to work.
Comment 6 Fedora End Of Life 2012-08-16 13:18:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.